# -*- coding: utf-8 -*-

# Copyright (c) 2003 - 2007 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing a dialog to enter the data for a switch operation.
"""

from PyQt4.QtCore import *
from PyQt4.QtGui import *

from Ui_CvsSwitchDialog import Ui_CvsSwitchDialog

class CvsSwitchDialog(QDialog, Ui_CvsSwitchDialog):
    """
    Class implementing a dialog to enter the data for a switch operation.
    """
    def __init__(self, taglist, parent = None):
        """
        Constructor
        
        @param taglist list of previously entered tags (QStringList)
        @param parent parent widget (QWidget)
        """
        QDialog.__init__(self, parent)
        self.setupUi(self)
        
        self.tagCombo.clear()
        self.tagCombo.addItems(taglist)
        
        self.cvsTagValidator = QRegExpValidator(QRegExp(r"[a-zA-Z][a-zA-Z0-9_-]*"), self)
        self.tagCombo.setValidator(self.cvsTagValidator)
        
    def getParameters(self):
        """
        Public method to retrieve the tag data.
        
        @return tag name (QString)
        """
        return self.tagCombo.currentText()
